package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 新闻管理对象 dx_news
 * 
 * @author D
 * @date 2025-03-24
 */
@Data
public class DxNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 分类ID */
    @Excel(name = "分类ID")
    private Integer categoryId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 图片 */
    @Excel(name = "图片")
    private String image;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** SEO标题 */
    @Excel(name = "SEO标题")
    private String seoTitle;

    /** SEO关键字 */
    @Excel(name = "SEO关键字")
    private String seoKeywords;

    /** SEO描述 */
    @Excel(name = "SEO描述")
    private String seoDescription;


}
